## websec 1.9.0

=== Makefile ===
PREFIX=/usr/local
BINDIR=$(DESTDIR)$(PREFIX)/bin
MANDIR=$(DESTDIR)$(PREFIX)/share/man
MAN1DIR=$(MANDIR)/man1
MAN5DIR=$(MANDIR)/man5
DOCDIR=$(DESTDIR)$(PREFIX)/share/doc/websec
EMACSDIR=$(DESTDIR)$(PREFIX)/share/emacs/site-lisp
VIMSYNDIR=$(DESTDIR)$(PREFIX)/share/vim/vim61/syntax

PROGSRC=websec webdiff
CONFSRC=url.list ignore.list

PROGMAN=$(PROGSRC:%=%.1)
CONFMAN=$(CONFSRC:%=%.5)

PROGMANHTML=$(addsuffix (1).html,$(PROGSRC))
CONFMANHTML=$(addsuffix (5).html,$(CONFSRC))

# Generated files
GENFILES=$(PROGMAN) $(CONFMAN)
HTMLFILES=$(addprefix ",$(addsuffix ",$(PROGMANHTML) $(CONFMANHTML)))

all: $(GENFILES)

install: all
	install -d $(BINDIR)
	install websec $(BINDIR)/
	install webdiff $(BINDIR)/

	install -d $(MAN1DIR)
	install websec.1 $(MAN1DIR)
	install webdiff.1 $(MAN1DIR)

	install -d $(MAN5DIR)
	install url.list.5 $(MAN5DIR)
	install ignore.list.5 $(MAN5DIR)

	install -d $(DOCDIR)
	install -d $(DOCDIR)/examples
	install -m 0644 url.list $(DOCDIR)/examples/
	install -m 0644 ignore.list $(DOCDIR)/examples/
	install -m 0644 README $(DOCDIR)/

	install -d $(EMACSDIR)
	install -m 0644 websec.el $(EMACSDIR)
	
	install -d $(VIMSYNDIR)
	install -m 0644 websec.vim $(VIMSYNDIR)

clean:
	rm -f $(GENFILES) pod2htm* $(HTMLFILES)

$(PROGMAN) : %.1 : %
	pod2man $< > $@

$(CONFMAN) : %.5 : %
	pod2man --section 5 $< > $@

install_html: html
	install -m 0644 $(HTMLFILES) $(DEST)

html: $(CONFMANHTML) $(PROGMANHTML)

$(CONFMANHTML) : %(5).html : %
	pod2html --htmlroot . --podroot . --podpath . --infile "$<" --outfile "$@"

$(PROGMANHTML) : %(1).html : %
	-rm -f pod2htm*
	pod2html --htmlroot . --podroot . --podpath . --infile "$<" --outfile "$@"

## websec 1.9.0-4

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 MAN5DIR=$(MANDIR)/man5
 DOCDIR=$(DESTDIR)$(PREFIX)/share/doc/websec
 EMACSDIR=$(DESTDIR)$(PREFIX)/share/emacs/site-lisp
-VIMSYNDIR=$(DESTDIR)$(PREFIX)/share/vim/vim61/syntax
+VIMSYNDIR=$(DESTDIR)$(PREFIX)/share/vim/vim63/syntax
 
 PROGSRC=websec webdiff
 CONFSRC=url.list ignore.list
@@ -28,12 +28,12 @@
 	install webdiff $(BINDIR)/
 
 	install -d $(MAN1DIR)
-	install websec.1 $(MAN1DIR)
-	install webdiff.1 $(MAN1DIR)
+	install -m 0644 websec.1 $(MAN1DIR)
+	install -m 0644 webdiff.1 $(MAN1DIR)
 
 	install -d $(MAN5DIR)
-	install url.list.5 $(MAN5DIR)
-	install ignore.list.5 $(MAN5DIR)
+	install -m 0644 url.list.5 $(MAN5DIR)
+	install -m 0644 ignore.list.5 $(MAN5DIR)
 
 	install -d $(DOCDIR)
 	install -d $(DOCDIR)/examples

=== debian/changelog ===
websec (1.9.0-4) unstable; urgency=low

  [ Baruch Even ]
  * Add Xs-Vcs-Browser and Xs-Vcs-Git to debian/control

  [ Lucas Nussbaum ]
  * Changed my email address. 
  * Use new Homepage: field.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 13 Mar 2008 14:39:56 +0100

websec (1.9.0-3) unstable; urgency=low

  * Adopting the package together with Lucas Nussbaum (Closes: #422296)
  * Also adds a small patch from websec upstream to add --Version flag, mostly
    due to lack of git-fu rather than real interest in the flag.
  * Add url to homepage in package description
  * Moved build to be in binary-indep rather than binary-arch
  * Applied patches for man page fixes
    - Typo in webdiff (Closes: #406607)
    - Document url.list syntax (Closes: #406602)
    - Document timestamp usage (Closes: #406605)
  * Use /bin/sh rather than just sh in menu

 -- Baruch Even <baruch@debian.org>  Wed, 27 Jun 2007 21:12:20 +0300

websec (1.9.0-2) unstable; urgency=low

  * Orphaning package 

 -- Ludovic Drolez <ldrolez@debian.org>  Wed, 25 Apr 2007 12:00:32 +0200

websec (1.9.0-1) unstable; urgency=low

  * New upstream release. Closes: #349024, #349023
  * Depends on libcrypt-ssleay-perl. Closes: #355603
  * Converted to debhelper. Closes: #372976

 -- Ludovic Drolez <ldrolez@debian.org>  Tue,  8 Aug 2006 00:09:25 +0200

websec (1.8.0-1) unstable; urgency=low

  * New upstream release. Closes: #271658, #287353.

 -- Ludovic Drolez <ldrolez@debian.org>  Tue,  4 Jan 2005 9:01:53 +0100

websec (1.7.0-3) unstable; urgency=low

  * VIM syntax file moved to /usr/share/vim/vim63/. Closes: #285277
  * added suggests: libcompress-zlib-perl.
  * watch file corrected.

 -- Ludovic Drolez <ldrolez@debian.org>  Sat, 18 Oct 2004 10:54:03 +0200

websec (1.7.0-2) unstable; urgency=low

  * VIM syntax file moved to /usr/share/vim/vim62/. Closes: #213751

 -- Ludovic Drolez <ldrolez@debian.org>  Wed, 15 Oct 2003 20:19:42 +0200

websec (1.7.0-1) unstable; urgency=low

  * New upstream release
  * small typo in /usr/share/doc/websec/examples/url.list. Closes: #202724
  * debian/watch added.

 -- Ludovic Drolez <ldrolez@debian.org>  Sun,  3 Aug 2003 00:30:55 +0200

websec (1.6.0-1) unstable; urgency=low

  * New upstream release. Closes: Bug#191405

 -- Ludovic Drolez <ldrolez@debian.org>  Tue,  6 May 2003 16:14:09 +0200

websec (1.3.4-11) unstable; urgency=low

  * Updated the maintainer field. Closes: Bug#167531

 -- Ludovic Drolez <ldrolez@debian.org>  Sun,  3 Nov 2002 22:41:57 +0100

websec (1.3.4-10) unstable; urgency=low

  * New maintainer. Closes: Bug#159471.
  * README corrected. Closes: Bug#165851.

 -- Ludovic Drolez <ldrolez@debian.org>  Wed, 30 Oct 2002 20:08:47 +0100

websec (1.3.4-9) unstable; urgency=low

  * Orphaning this package, due to my lack of perl knowledge.
  * Set the maintainer field to the Debian QA Group.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon,  9 Sep 2002 20:30:21 +0200

websec (1.3.4-8) unstable; urgency=low

  * Fix for incorrectly applied patch. Sorry about that. Thanks to Stefan
    Schwandtler for reporting. Closes: #143174.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 16 Apr 2002 23:56:01 +0200

websec (1.3.4-7) unstable; urgency=low

  * Waits for a random number of seconds between retries up to the value
    specified by the Randomwait keyword.  This is to prevent websec from 
    being blocked by websites that perform log analysis to find time 
    similarities between requests. Thanks again Scott. Closes: #142757.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 14 Apr 2002 22:29:29 +0200

websec (1.3.4-6) unstable; urgency=low

  * Correct some text in README.debian to point to the correct location
    of xmessage. Thanks to Baruch Even <baruch@debian.org> for finding
    this. Closes: #132926.
  * Patch by Scott Reed <sreed@midsouth.rr.com>, so now we have 3 new 
    keywords in url.list: Retry, Retrywait, and Timeout. Closes: #127593.

 -- Joop Stakenborg <pa3aba@debian.org>  Mon, 18 Mar 2002 14:12:08 +0100

websec (1.3.4-5) unstable; urgency=low

  * Patch by Adrian Bridgett <adrian@dyadic.com>. With this patch, websec 
    will use ~/.websec/url.list if no argument is passed on the CLI.
    Closes: #120372.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 20 Dec 2001 17:31:37 +0100

websec (1.3.4-4) unstable; urgency=low

  * Correct perl dependency.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed,  7 Mar 2001 09:22:31 +0100

websec (1.3.4-3) unstable; urgency=low

  * Removed the rollback script, didn't work anyway.
  * Fix for "called too early" warnings. Closes #81223.
  * Add a build-depends line.
  * Update standards version.
  * Should depend on perl-5.6.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 18 Feb 2001 19:58:14 +0100

websec (1.3.4-2) unstable; urgency=low

  * Fixed mistake in manual page, closes bug #67801.

 -- Joop Stakenborg <pa3aba@debian.org>  Sun, 18 Feb 2001 19:48:33 +0100

websec (1.3.4-1) unstable; urgency=low

  * New upstream release.
  * Add menu entry by Adrian Bunk, closes bug #62088.
  * Fix lintian errors.

 -- Joop Stakenborg <pa3aba@debian.org>  Tue, 25 Jul 2000 23:00:44 +0200

websec (1.3.1-9) unstable; urgency=low

  * Removed menu entry, would crash gnome panel.
  * Fixed rollback, wrong directory for the archive.
  * Add "AddSubject" entry in url.list, will add a string to every mail sent
    by websec as a first word in the subject, so mails can be captured
    easily by a mail filter. Thanks to Stephan Helma <s.p.helma@gmx.net>
    for this idea.

 -- Joop Stakenborg <pa3aba@debian.org>  Wed,  1 Dec 1999 21:00:59 +0100

websec (1.3.1-8) unstable; urgency=low

  * Oops. Architecture can be all, since this is perl code.

 -- Joop Stakenborg <pa3aba@debian.org>  Sat, 30 Oct 1999 19:35:23 +0200

websec (1.3.1-7) unstable; urgency=low

  * Stop menu entry from expanding multiple lines. Fixes #47423.

 -- Joop Stakenborg <pa3aba@debian.org>  Thu, 28 Oct 1999 09:15:04 +0200

websec (1.3.1-6) unstable; urgency=low



=== debian/control ===
Source: websec
Section: web
Priority: optional
Maintainer: Baruch Even <baruch@debian.org>
Uploaders: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Standards-Version: 3.7.2
Build-Depends-Indep: perl(>=5.6.0)
Build-Depends: debhelper (>= 4.0)
Xs-Vcs-Browser: http://git.debian.org/?p=collab-maint/websec.git
Xs-Vcs-Git: git://git.debian.org/git/collab-maint/websec.git
Homepage: http://baruch.ev-en.org/proj/websec/

Package: websec
Architecture: all
Depends: perl(>=5.6.0), libwww-perl, libcrypt-ssleay-perl
Suggests: libcompress-zlib-perl
Description: Web Secretary - Web page monitoring software with highlighting
 A visual Web page monitoring software. However, it goes
 beyond the normal functionalities offered by such software. Not only
 does it detect changes based on content analysis (instead of date/time
 stamp or simple textual comparison), it will email the changed page to
 you with the new content highlighted.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=websec

build:
	dh_testdir
	touch build

clean:
	dh_testdir 
	-rm -f build
	$(MAKE) clean
	find . -name "*~" -print0 | xargs -0r rm -f
	dh_clean
	#-rm -rf debian/tmp debian/files* core debian/substvars

binary-arch: build
	dh_testdir
	dh_testroot
# There are no architecture-dependent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-indep: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=`pwd`/debian/websec PREFIX=/usr
	dh_installdocs README
	dh_installman
	dh_installmenu
	dh_installdeb
	dh_installchangelogs
	dh_perl
	dh_compress
	dh_fixperms
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: binary binary-arch binary-indep clean

=== debian/watch ===
version=2
http://savannah.nongnu.org/download/websec/	websec-([\d\.]*)\.tar\.gz	debian uupdate

## websec 1.9.0-4ubuntu1

=== debian/changelog ===
websec (1.9.0-4ubuntu1) intrepid; urgency=low

  *  Depend on postfix | mail-transport-agent (LP: #255777).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 10 Sep 2008 12:00:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: websec
 Section: web
 Priority: optional
-Maintainer: Baruch Even <baruch@debian.org>
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Baruch Even <baruch@debian.org>
 Uploaders: Lucas Nussbaum <lucas@lucas-nussbaum.net>
 Standards-Version: 3.7.2
 Build-Depends-Indep: perl(>=5.6.0)
@@ -12,7 +13,7 @@
 
 Package: websec
 Architecture: all
-Depends: perl(>=5.6.0), libwww-perl, libcrypt-ssleay-perl
+Depends: perl(>=5.6.0), libwww-perl, libcrypt-ssleay-perl, postfix | mail-transport-agent
 Suggests: libcompress-zlib-perl
 Description: Web Secretary - Web page monitoring software with highlighting
  A visual Web page monitoring software. However, it goes
